"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.addListener = void 0;
exports.initialize = initialize;
exports.load = load;
exports.show = show;

var _reactNative = require("react-native");

const LINKING_ERROR = `The package 'react-native-unityads' doesn't seem to be linked. Make sure: \n\n` + _reactNative.Platform.select({
  ios: "- You have run 'pod install'\n",
  default: ''
}) + '- You rebuilt the app after installing the package\n' + '- You are not using Expo managed workflow\n';
const Unityads = _reactNative.NativeModules.Unityads ? _reactNative.NativeModules.Unityads : new Proxy({}, {
  get() {
    throw new Error(LINKING_ERROR);
  }

});
const eventEmitter = new _reactNative.NativeEventEmitter(Unityads);

const addListener = (type, handler) => {
  return eventEmitter.addListener(type, handler);
};

exports.addListener = addListener;

function initialize(_ref) {
  let {
    gameId,
    testMode
  } = _ref;
  return Unityads.initialize(gameId, testMode);
}

function load(placementId) {
  return Unityads.load(placementId);
}

function show(placementId) {
  return Unityads.show(placementId);
}
//# sourceMappingURL=index.js.map