import { NativeEventEmitter, NativeModules, Platform } from 'react-native';
const LINKING_ERROR = `The package 'react-native-unityads' doesn't seem to be linked. Make sure: \n\n` + Platform.select({
  ios: "- You have run 'pod install'\n",
  default: ''
}) + '- You rebuilt the app after installing the package\n' + '- You are not using Expo managed workflow\n';
const Unityads = NativeModules.Unityads ? NativeModules.Unityads : new Proxy({}, {
  get() {
    throw new Error(LINKING_ERROR);
  }

});
const eventEmitter = new NativeEventEmitter(Unityads);
export const addListener = (type, handler) => {
  return eventEmitter.addListener(type, handler);
};
export function initialize(_ref) {
  let {
    gameId,
    testMode
  } = _ref;
  return Unityads.initialize(gameId, testMode);
}
export function load(placementId) {
  return Unityads.load(placementId);
}
export function show(placementId) {
  return Unityads.show(placementId);
}
//# sourceMappingURL=index.js.map